#ifndef APPLICATION_H
#define APPLICATION_H

/*=========================================================================
Class Name	: Application
Authors		: Ewan Duncan, Andrew Hoque
Description	: Main class of the program.  Contains the top 
			  level program logic after main.cpp.  
=========================================================================*/

/*-------------------------------------------------------------------------
INCLUDES
-------------------------------------------------------------------------*/
#include <SFML/Graphics.hpp>
#include <sstream>

#include "state_manager.h"
#include "clock.h"

/*-------------------------------------------------------------------------
APPLICATION CLASS
-------------------------------------------------------------------------*/
class Application
{
 public:
	Application();
	~Application();
	void Init(),
		 CleanUp(),
		 Update(),
		 Render();

 private:

	sf::RenderWindow* window_;
	StateManager state_manager_;
	Clock clock_;

	void DisplayFramerate();

};

/*-------------------------------------------------------------------------
END OF FILE
-------------------------------------------------------------------------*/
#endif
