#ifndef BOULDER_H
#define BOULDER_H

/*========================================================================
Class Name	: Boulder
Authors		: Andrew Hoque, Ewan Duncan, Lewis Bayne
Description	: Class that represents a boulder that can be pushed by the
			  player.
=========================================================================*/

/*-------------------------------------------------------------------------
INCLUDES
-------------------------------------------------------------------------*/
#include "game_object.h"

/*-------------------------------------------------------------------------
BOULDER CLASS
-------------------------------------------------------------------------*/
class Boulder : public GameObject
{
 public:

	Boulder(const float width, const float height);

	void Update();

	void set_colliding_with_player(const bool colliding_with_player) { colliding_with_player_ = colliding_with_player;	}

private:

	void PitAndFloatingCollisions(sf::Vector2f temp_position);

	bool colliding_with_player_;
};

/*-------------------------------------------------------------------------
END OF FILE
-------------------------------------------------------------------------*/
#endif
