#ifndef MAP_H
#define MAP_H

/*========================================================================
Class Name	: Map
Authors		: Ewan Duncan, Andrew Hoque
Description	: Works with the maploader to load maps that are created in Tiled.
			  Uses information from each map to create game entities and set
			  properties such as music and lighting.
=========================================================================*/

/*-------------------------------------------------------------------------
INCLUDES
-------------------------------------------------------------------------*/
#include <SFML/Graphics.hpp>
#include <tmx/MapLoader.h>
#include <tmx/MapLayer.h>
#include "orb.h"
#include "player.h"
#include <string>

/*-------------------------------------------------------------------------
MAP CLASS
-------------------------------------------------------------------------*/
class Map
{
 public:
	 Map				();
	 void				Init(tmx::MapLoader* map_loader, std::string map_name, std::vector<GameObject*>* section_objects);
	 void				TurnOnLights(std::vector<GameObject*>* section_objects);

 private:

	 void				SetPositionAndDeadOnly(tmx::MapObject map_object, GameObject* section_object);

	bool				visited_;
	static std::string	map_type_;
};

/*-------------------------------------------------------------------------
END OF FILE
-------------------------------------------------------------------------*/
#endif
