/*=========================================================================
Class Name	: State
Authors		: Ewan Duncan
Description	: Class used as a base state that other states inherit from.
========================================================================*/

/*-------------------------------------------------------------------------
INCLUDES
-------------------------------------------------------------------------*/
#include "state.h"

sf::RenderWindow* State::window_ = 0;

/*-------------------------------------------------------------------------
MEMBER FUNCTIONS
-------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------
Name	: SetRenderWindow
Purpose	: Sets the render window used by all the states.   
-------------------------------------------------------------------------*/
void State::SetRenderWindow(sf::RenderWindow* window)
{
	window_ = window;
}

/*-------------------------------------------------------------------------
END OF FILE
-------------------------------------------------------------------------*/
