#ifndef STATE_H
#define STATE_H

/*=========================================================================
Class Name	: State
Authors		: Ewan Duncan
Description	: Class used as a base state that other states inherit from.  
========================================================================*/

/*-------------------------------------------------------------------------
INCLUDES
-------------------------------------------------------------------------*/
#include <SFML/Graphics.hpp>


class StateManager;

/*-------------------------------------------------------------------------
STATE CLASS
-------------------------------------------------------------------------*/
class State
{
 public:
	 virtual void	Init() = 0,
					CleanUp() = 0,
					Pause() = 0,
					Resume() = 0,
					Update(StateManager *state_manager) = 0,
					Render() = 0;
	 static void SetRenderWindow(sf::RenderWindow* window);

 protected:
	static sf::RenderWindow* window_;
};

/*-------------------------------------------------------------------------
END OF FILE
-------------------------------------------------------------------------*/
#endif
