#ifndef STATE_MANAGER_H
#define STATE_MANAGER_H

/*=========================================================================
Class Name	: StateManager
Authors		: Ewan Duncan
Description	: Stores all the states of the application and provides 
			  functions to switch between them.  
========================================================================*/

/*-------------------------------------------------------------------------
INCLUDES
-------------------------------------------------------------------------*/
#include <vector>

#include "state.h"

/*-------------------------------------------------------------------------
STATEMANAGER CLASS
-------------------------------------------------------------------------*/
class StateManager
{
 public:
	void ChangeState(State* state),
		 PushState(State* state),
		 PopState(),
		 Clear();

	std::vector<State*> states_vector;
};

/*-------------------------------------------------------------------------
END OF FILE
-------------------------------------------------------------------------*/
#endif
