#ifndef WEB_H
#define WEB_H

/*========================================================================
Class Name	: Web
Authors		: Ewan Duncan
Description	: Class that represents a web that blocks the player's path
			  and can be burned by fire balls.  
=========================================================================*/

/*-------------------------------------------------------------------------
INCLUDES
-------------------------------------------------------------------------*/
#include "game_object.h"

/*-------------------------------------------------------------------------
WEB CLASS
-------------------------------------------------------------------------*/
class Web : public GameObject
{
public:

	Web(const float width, const float height);

	void Update();

	void set_on_fire(const bool on_fire) { on_fire_ = on_fire; }

private:
	bool on_fire_,
		light_created_,
		burned_away_;
	float light_radius_,
		max_light_radius_;
	sf::Vector2f end_uv_;
	bool animation_finished_;
};

/*-------------------------------------------------------------------------
END OF FILE
-------------------------------------------------------------------------*/
#endif
